Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
ed25519_key.cpp File Reference
`#include <botan/ed25519.h>`
`#include <botan/internal/pk_ops_impl.h>`
`#include <botan/hash.h>`
`#include <botan/ber_dec.h>`
`#include <botan/der_enc.h>`
`#include <botan/rng.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

std::vector<uint8_t> m_domain_sep

Definition at line 175 of file ed25519_key.cpp.

std::unique_ptr<HashFunction> m_hash

Definition at line 173 of file ed25519_key.cpp.

const Ed25519_PrivateKey& m_key

Definition at line 132 of file ed25519_key.cpp.

std::vector<uint8_t> m_msg

Definition at line 131 of file ed25519_key.cpp.

Referenced by Botan::TLS::TLS_CBC_HMAC_AEAD_Mode::msg(), and Botan::Exception::what().